Album: Homestuck Anniversary Act 6
Directory: homestuck-anniversary-act-6
Date: November 11, 2023
Date Added: April 13, 2024
URLs:
- https://maukustus.bandcamp.com/album/homestuck-anniversary-act-6
Artists:
- Maukustus
Cover Artists:
- Maukustus
Art Tags:
- Dirk
Cover Art File Extension: png
Color: '#CE0000'
Groups:
- Maukustus
- Fandom
Commentary: |-
    <i>Maukustus:</i>
    An album celebrating Homestuck Act 6 anniversary. This ones an individual release because I simply didn't want to wait this long to release the other one. Also includes a cover of [[track:moonsetter|Moonsetter]] by [[artist:toby-fox|Toby "Radiation" Fox]]
---
Track: "[11/11/11] What do you suppose the name on the envelopes will be?"
Duration: 3:46
URLs:
- https://maukustus.bandcamp.com/track/11-11-11-what-do-you-suppose-the-name-on-the-envelopes-will-be
- https://soundcloud.com/maukustus/homestuck-anniversary-act-6-update
Referenced Tracks:
- Time on My Side
- Five-Four Stress
- track:dissension-original
- Another Jungle
- Ruins (With Strings)
- Homestuck Anthem
- Carne Vale
- track:showtime-original-mix
- Pumpkin Party in Sea Hitler's Water Apocalypse
- track:chorale-for-jaspers
- Hate You
- track:sburban-jungle
- Liquid Negrocity
Sampled Tracks:
- Amen, Brother
---
Track: Looking at the stars 
Duration: 2:58
URLs:
- https://maukustus.bandcamp.com/track/looking-at-the-stars
Referenced Tracks:
- track:moonsetter
